"use strict";

const { validateArguments } = require("@validatem/core");
const required = require("@validatem/required");
const isString = require("@validatem/is-string");

const node = require("../ast-node");

module.exports = function (_operations) {
	return function placeholder(name) {
		validateArguments(arguments, {
			name: [ required, isString ]
		});

		return node({
			type: "placeholder",
			name: name,
			parameterizable: true
		});
	};
};
